org.apache.tinkerpop.gremlin.process.traversal.step.sideEffect

## Class GroupCountTest.Traversals

- java.lang.Object
- - org.apache.tinkerpop.gremlin.AbstractGremlinTest
  - - org.apache.tinkerpop.gremlin.process.AbstractGremlinProcessTest
    - - org.apache.tinkerpop.gremlin.process.traversal.step.sideEffect.GroupCountTest
      - - org.apache.tinkerpop.gremlin.process.traversal.step.sideEffect.GroupCountTest.Traversals

- Enclosing class:
    GroupCountTest

      public static class GroupCountTest.Traversals
      extends GroupCountTest

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.tinkerpop.gremlin.process.traversal.step.sideEffect.GroupCountTest

      `GroupCountTest.Traversals`

  - ### Field Summary

    - ### Fields inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `config, g, graph, graphProvider, name, shouldTestIteratorLeak`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Traversals()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Traversal<Vertex,String>` | `get_g_V_both_groupCountXaX_byXlabelX_asXbX_barrier_whereXselectXaX_selectXsoftwareX_isXgtX2XXX_selectXbX_name()`
    `Traversal<Vertex,Map<Vertex,Long>>` | `get_g_V_both_groupCountXaX_out_capXaX_selectXkeysX_unfold_both_groupCountXaX_capXaX()`
    `Traversal<Vertex,Map<Long,Long>>` | `get_g_V_groupCount_byXbothE_countX()`
    `Traversal<Vertex,Map<Object,Long>>` | `get_g_V_hasXnoX_groupCount()`
    `Traversal<Vertex,Map<Object,Long>>` | `get_g_V_hasXnoX_groupCountXaX_capXaX()`
    `Traversal<Vertex,Map<Object,Long>>` | `get_g_V_hasXperson_name_markoX_bothXknowsX_groupCount_byXvaluesXnameX_foldX()`
    `Traversal<Vertex,Map<String,Long>>` | `get_g_V_outXcreatedX_groupCount_byXnameX()`
    `Traversal<Vertex,Map<String,Long>>` | `get_g_V_outXcreatedX_groupCountXaX_byXnameX_capXaX()`
    `Traversal<Vertex,Map<Vertex,Long>>` | `get_g_V_outXcreatedX_groupCountXxX_capXxX()`
    `Traversal<Vertex,Map<String,Long>>` | `get_g_V_outXcreatedX_name_groupCount()`
    `Traversal<Vertex,Map<String,Long>>` | `get_g_V_outXcreatedX_name_groupCountXaX_capXaX()`
    `Traversal<Vertex,Map<String,Long>>` | `get_g_V_repeatXout_groupCountXaX_byXnameXX_timesX2X_capXaX()`
    `Traversal<Vertex,Long>` | `get_g_V_unionXoutXknowsX__outXcreatedX_inXcreatedXX_groupCount_selectXvaluesX_unfold_sum()`
    `Traversal<Vertex,Map<String,Long>>` | `get_g_V_unionXrepeatXoutX_timesX2X_groupCountXmX_byXlangXX__repeatXinX_timesX2X_groupCountXmX_byXnameXX_capXmX()`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.process.traversal.step.sideEffect.GroupCountTest

      `g_V_both_groupCountXaX_byXlabelX_asXbX_barrier_whereXselectXaX_selectXsoftwareX_isXgtX2XXX_selectXbX_name, g_V_both_groupCountXaX_out_capXaX_selectXkeysX_unfold_both_groupCountXaX_capXaX, g_V_groupCount_byXbothE_countX, g_V_hasXnoX_groupCount, g_V_hasXnoX_groupCountXaX_capXaX, g_V_hasXperson_name_markoX_bothXknowsX_groupCount_byXvaluesXnameX_foldX, g_V_outXcreatedX_groupCount_byXnameX, g_V_outXcreatedX_groupCountXaX_byXnameX_capXaX, g_V_outXcreatedX_groupCountXxX_capXxX, g_V_outXcreatedX_name_groupCount, g_V_outXcreatedX_name_groupCountXaX_capXaX, g_V_repeatXout_groupCountXaX_byXnameXX_timesX2X_capXaX, g_V_unionXoutXknowsX__outXcreatedX_inXcreatedXX_groupCount_selectXvaluesX_unfold_sum, g_V_unionXrepeatXoutX_timesX2X_groupCountXmX_byXlangXX__repeatXinX_timesX2X_groupCountXmX_byXnameXX_capXmX`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.process.AbstractGremlinProcessTest

      `checkMap, checkOrderedResults, checkResults, checkResults, checkSideEffects, graphMeetsTestRequirements, hasGraphComputerRequirement, makeMapList, setupTest`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `afterLoadGraphWith, assertVertexEdgeCounts, beforeLoadGraphWith, convertToEdge, convertToEdgeId, convertToEdgeId, convertToVertex, convertToVertex, convertToVertexId, convertToVertexId, convertToVertexProperty, convertToVertexPropertyId, convertToVertexPropertyId, getAssertVertexEdgeCounts, printTraversalForm, setup, tearDown, tryCommit, tryCommit, tryRollback, validateException, verifyUniqueStepIds`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Traversals

          public Traversals()

  - ### Method Detail

    - #### get_g_V_outXcreatedX_groupCount_byXnameX

          public Traversal<Vertex,Map<String,Long>> get_g_V_outXcreatedX_groupCount_byXnameX()

      Specified by:
        `get_g_V_outXcreatedX_groupCount_byXnameX` in class `GroupCountTest`

    - #### get_g_V_outXcreatedX_groupCountXaX_byXnameX_capXaX

          public Traversal<Vertex,Map<String,Long>> get_g_V_outXcreatedX_groupCountXaX_byXnameX_capXaX()

      Specified by:
        `get_g_V_outXcreatedX_groupCountXaX_byXnameX_capXaX` in class `GroupCountTest`

    - #### get_g_V_outXcreatedX_name_groupCount

          public Traversal<Vertex,Map<String,Long>> get_g_V_outXcreatedX_name_groupCount()

      Specified by:
        `get_g_V_outXcreatedX_name_groupCount` in class `GroupCountTest`

    - #### get_g_V_outXcreatedX_groupCountXxX_capXxX

          public Traversal<Vertex,Map<Vertex,Long>> get_g_V_outXcreatedX_groupCountXxX_capXxX()

      Specified by:
        `get_g_V_outXcreatedX_groupCountXxX_capXxX` in class `GroupCountTest`

    - #### get_g_V_outXcreatedX_name_groupCountXaX_capXaX

          public Traversal<Vertex,Map<String,Long>> get_g_V_outXcreatedX_name_groupCountXaX_capXaX()

      Specified by:
        `get_g_V_outXcreatedX_name_groupCountXaX_capXaX` in class `GroupCountTest`

    - #### get_g_V_hasXnoX_groupCount

          public Traversal<Vertex,Map<Object,Long>> get_g_V_hasXnoX_groupCount()

      Specified by:
        `get_g_V_hasXnoX_groupCount` in class `GroupCountTest`

    - #### get_g_V_hasXnoX_groupCountXaX_capXaX

          public Traversal<Vertex,Map<Object,Long>> get_g_V_hasXnoX_groupCountXaX_capXaX()

      Specified by:
        `get_g_V_hasXnoX_groupCountXaX_capXaX` in class `GroupCountTest`

    - #### get_g_V_repeatXout_groupCountXaX_byXnameXX_timesX2X_capXaX

          public Traversal<Vertex,Map<String,Long>> get_g_V_repeatXout_groupCountXaX_byXnameXX_timesX2X_capXaX()

      Specified by:
        `get_g_V_repeatXout_groupCountXaX_byXnameXX_timesX2X_capXaX` in class `GroupCountTest`

    - #### get_g_V_unionXrepeatXoutX_timesX2X_groupCountXmX_byXlangXX__repeatXinX_timesX2X_groupCountXmX_byXnameXX_capXmX

          public Traversal<Vertex,Map<String,Long>> get_g_V_unionXrepeatXoutX_timesX2X_groupCountXmX_byXlangXX__repeatXinX_timesX2X_groupCountXmX_byXnameXX_capXmX()

      Specified by:
        `get_g_V_unionXrepeatXoutX_timesX2X_groupCountXmX_byXlangXX__repeatXinX_timesX2X_groupCountXmX_byXnameXX_capXmX` in class `GroupCountTest`

    - #### get_g_V_groupCount_byXbothE_countX

          public Traversal<Vertex,Map<Long,Long>> get_g_V_groupCount_byXbothE_countX()

      Specified by:
        `get_g_V_groupCount_byXbothE_countX` in class `GroupCountTest`

    - #### get_g_V_unionXoutXknowsX__outXcreatedX_inXcreatedXX_groupCount_selectXvaluesX_unfold_sum

          public Traversal<Vertex,Long> get_g_V_unionXoutXknowsX__outXcreatedX_inXcreatedXX_groupCount_selectXvaluesX_unfold_sum()

      Specified by:
        `get_g_V_unionXoutXknowsX__outXcreatedX_inXcreatedXX_groupCount_selectXvaluesX_unfold_sum` in class `GroupCountTest`

    - #### get_g_V_both_groupCountXaX_out_capXaX_selectXkeysX_unfold_both_groupCountXaX_capXaX

          public Traversal<Vertex,Map<Vertex,Long>> get_g_V_both_groupCountXaX_out_capXaX_selectXkeysX_unfold_both_groupCountXaX_capXaX()

      Specified by:
        `get_g_V_both_groupCountXaX_out_capXaX_selectXkeysX_unfold_both_groupCountXaX_capXaX` in class `GroupCountTest`

    - #### get_g_V_both_groupCountXaX_byXlabelX_asXbX_barrier_whereXselectXaX_selectXsoftwareX_isXgtX2XXX_selectXbX_name

          public Traversal<Vertex,String> get_g_V_both_groupCountXaX_byXlabelX_asXbX_barrier_whereXselectXaX_selectXsoftwareX_isXgtX2XXX_selectXbX_name()

      Specified by:
        `get_g_V_both_groupCountXaX_byXlabelX_asXbX_barrier_whereXselectXaX_selectXsoftwareX_isXgtX2XXX_selectXbX_name` in class `GroupCountTest`

    - #### get_g_V_hasXperson_name_markoX_bothXknowsX_groupCount_byXvaluesXnameX_foldX

          public Traversal<Vertex,Map<Object,Long>> get_g_V_hasXperson_name_markoX_bothXknowsX_groupCount_byXvaluesXnameX_foldX()

      Specified by:
        `get_g_V_hasXperson_name_markoX_bothXknowsX_groupCount_byXvaluesXnameX_foldX` in class `GroupCountTest`

Copyright © 2013–2022 Apache Software Foundation. All rights reserved.